package org.xyzh.crontab;

import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@EnableDubbo  // 启用 Dubbo 服务
@ComponentScan(basePackages = {
    "org.xyzh.crontab",         // 当前crontab模块
    "org.xyzh.common"          // 公共模块
})
public class CrontabApp {
    private static final Logger logger = LoggerFactory.getLogger(CrontabApp.class);
    
    public static void main(String[] args) {
        logger.info("======================== CrontabApp 启动中 =========================");
        SpringApplication.run(CrontabApp.class, args);
        logger.info("======================== CrontabApp 启动成功 =========================");
    }
}